#!/bin/sh
#---------------------------------------------------------
#-- This batch file is an example of how to run the Cloudscape
#-- migration tool
#--
#--
#-- This file for use on unix/linux
#---------------------------------------------------------
#-- usage: db2jMigrate.sh  [old dbname] [new dbname]
#--
#--      command below can be modify with the following options:
#--
#--         -Ddb2j.migrate.ddlOnly=true Do not perform migration. Only
#--                 generate the old DDL file, <sourceDBname>.sql, and
#--                 the new DDL file (see dbj2.migrate.ddlFile option).
#--                 The default is false.
#--
#--         -Ddb2j.migrate.appendLogs=true Do not overwrite output logs.
#--                 The default is false.
#--
#--         -Ddb2j.migrate.ddlFile=<name> Write new DDL to file <name>
#--                 to create the v 10 DB.
#--                 The default is <sourceDBName>_newDDL.sql
#--
#--
                                                                                
# Determine current location and then make sure to set environment as correctly
#as possible.

. $(/usr/bin/dirname $0)/setupCmdLine
                                                                                
if [ $# -lt 2 ]
then
 echo USAGE: db2jMigrate.sh  [old dbname] [new dbname]
 exit
else
 export OLD_DB_URL=jdbc:db2j:$1
fi
    
                                                                                
export LOGNAME=${DERBY_HOME}/`basename ${1}`_migrationLog.log
export DEBUGNAME=${DERBY_HOME}/`basename ${1}`_migrationDebug.log   

C_PATH=${WAS_CLASSPATH}:${DERBY_HOME}/lib/derby.jar:${DERBY_HOME}/migration/migratetoderby.jar                                                                         

${JAVA_HOME}/bin/java ${JAVA_PARM} \
   -classpath ${C_PATH} \
   -Ddbj.migrate.verbose=true \
   -Ddb2j.system.home=${DERBY_HOME} \
   -Dderby.system.home=${DERBY_HOME} \
   -Ddb2j.migrate.newDBURL=jdbc:derby:$2 \
   -Ddb2j.migrate.migrateLog=${LOGNAME} \
   -Ddb2j.migrate.debugLog=${DEBUGNAME} \
   com.ibm.db2j.tools.MigrateFrom51 $OLD_DB_URL

export LOGNAME=
export DEBUGNAME=
export OLD_DB_URL=


system "CHGAUT OBJ('${2}') USER(*PUBLIC) DTAAUT(*EXCLUDE) OBJAUT(*NONE)"
system "CHGAUT OBJ('${2}') USER(QEJBSVR) DTAAUT(*RWX) OBJAUT(*ALL)"

